package dev.lions.exceptions;

/**
 * Exception pour les erreurs liées au traitement des templates.
 */
public class TemplateException extends RuntimeException {

  /**
   * Constructeur avec un message.
   *
   * @param message Message de l'erreur
   */
  public TemplateException(String message) {
    super(message);
  }

  /**
   * Constructeur avec un message et une cause.
   *
   * @param message Message de l'erreur
   * @param cause   Cause de l'erreur
   */
  public TemplateException(String message, Throwable cause) {
    super(message, cause);
  }
}
